Skip to main content
PATCH
/
v1
/
accounts
/
{account_id}
/
quotas
/
{quota_id}
Update Quota
curl --request PATCH \
  --url https://api.fireworks.ai/v1/accounts/{account_id}/quotas/{quota_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "<string>",
  "maxValue": "<string>"
}
'
import requests

url = "https://api.fireworks.ai/v1/accounts/{account_id}/quotas/{quota_id}"

payload = {
"value": "<string>",
"maxValue": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>', maxValue: '<string>'})
};

fetch('https://api.fireworks.ai/v1/accounts/{account_id}/quotas/{quota_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "value": "<string>",
  "maxValue": "<string>",
  "usage": 123,
  "updateTime": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>

Path Parameters

account_id
string
required

The Account Id

quota_id
string
required

The Quota Id

Query Parameters

allowMissing
boolean

If true, and the quota does not exist, it will be created.

Body

application/json

The properties of the quota being updated. quota.name must be populated with the updated resource's name.

value
string<int64>

The value of the quota being enforced. This may be lower than the max_value if the user manually lowers it.

maxValue
string<int64>

The maximum approved value.

Response

200 - application/json

A successful response.

name
string
read-only
value
string<int64>

The value of the quota being enforced. This may be lower than the max_value if the user manually lowers it.

maxValue
string<int64>

The maximum approved value.

usage
number<double>
read-only

The usage of the quota.

updateTime
string<date-time>
read-only

The update time for the quota.